#include "stddef.h"
#include <stdio.h>  // needed for function fprintf
#include <stdlib.h> // needed for function fprintf


#include "wsq_library.h"



int width, height, ppi;   // image parameters
unsigned char *comment_text;

//unsigned char idata[4*23717];  //128x128 pixels WSQ image 
//unsigned char idata[4*23717]; // 545x622 pixels WSQ image 
unsigned char idata[4*32768]; // input WSQ size up to 32768 bytes


int WSQ_array_size;
unsigned char *odata;



int main()
{

//WSQ_array_size = 2381;//128x128 pixels WSQ image 
WSQ_array_size = 23717; // 545x622 pixels WSQ image 




WSQ_decode_stream(idata, WSQ_array_size, &odata, &width, &height, &ppi, &comment_text);
fprintf(stderr, "width = %u\n", width);
fprintf(stderr, "height = %u\n", height);
fprintf(stderr, "ppi = %d\n", ppi);
fprintf(stderr, "comment_text = %s\n", comment_text);
puts("End of WSQ decompression into uncompressed array.\n");


puts("To view decompressed image please go to menu View->Graph->Image.\n");
puts("Then choose: 1) Color Space = RGB,\n");
puts("2) Start address - R/G/B Source = odata,\n");
puts("3) Byte Packing to Fill 32 bits = No,\n");
puts("4) Image Origin = Top Left,\n");
puts("5) Set Lines per Display = equal to image height,\n");
puts("5) Set Pixels per Line = equal to image width.\n");


}
